<div fxLayout="column" class="full-page-container">
  <div fxLayout="row" fxFlex="100">
    <div fxLayout="column" fxFlex.gt-md="40" fxFlex.md="50" fxFlex.lt-md="100" class="login-section">

      <div class="logo-label" fxLayout="row" fxLayoutAlign.lt-md="center center">
        <label style="color:var(--mainBlue)">Yummy</label>&nbsp;
        <label style="color: lightgray;">Wallet</label>
<!--        <img src="./assets/images/text.png" alt="logo" style="object-fit: contain;">-->
      </div>

      <div fxLayout="row" class="form-container">
        <div fxLayout="column" fxFlex="100">

          <div fxFlex="row" class="form-header-label">
            <label>Είσοδος</label>
          </div>

          <div fxLayout="row" class="form-content">
            <div fxLayout="column" fxFlex="100">
              <form [formGroup]="form" (ngSubmit)="login()" autocomplete="off" fxFlex="100">

                <div fxLayout="row">
                  <div fxLayout="column" fxFlex="100">
                    <div><label>Αναγνωριστικό χρήστη</label></div>
                    <mat-form-field appearance="legacy"
                                    class="form-field">
                      <input matInput [formControlName]="'identifier'">
                    </mat-form-field>
                  </div>
                </div>

                <div fxLayout="row">
                  <div fxLayout="column" fxFlex="100">
                    <div><label>Κωδικός χρήστη</label></div>
                    <mat-form-field class="form-field" appearance="legacy">
                      <input matInput type="password" [formControlName]="'password'">
                    </mat-form-field>
                  </div>
                </div>

                <div fxLayout="row">
                  <div fxFlex="100" fxLayout="column">
                    <button [disabled]="!form.valid" mat-flat-button type="submit" class="submitButton">Συνδεθείτε
                    </button>
                  </div>
                </div>

                <div fxLayout="row" fxShow="true" fxHide.sm="true" fxHide.lt-sm="true" style="margin-top: 15px;">
                  <div fxFlex="100" fxLayout="column">
                    <button mat-flat-button type="button" (click)="loginWithGoogle()" class="submitButton">
                      <img src="assets/images/googlebtn.png" alt="google"> &nbsp;Συνδεθείτε με το Google λογιαριασμό σας
                    </button>
                  </div>
                </div>

                <div fxLayout="row" fxShow="true" fxHide.gt-sm="true" style="margin-top: 15px;">
                  <div fxFlex="100" fxLayout="column">
                    <button mat-flat-button type="button" (click)="loginWithGoogle()" class="submitButton">Συνδεθείτε με &nbsp;
                      <img src="assets/images/googlebtn.png" alt="google">
                    </button>
                  </div>
                </div>


                <div class="registrationInfo" fxLayout="row" fxLayoutAlign="center flex-start ">
                  <h3 style="text-align: center">Δεν έχετε λογαριασμό? <a (click)="navigateToRegistration()"> Εκδηλώστε το ενδιαφέρον σας τώρα</a>
                  </h3>
                </div>


              </form>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div fxLayout="column" fxFlex.gt-md="60" fxFlex.md="50" fxHide.lt-md="true" class="info-section" style="padding: 0">
      <img src="assets/images/back.png" alt="info" style=" height: 100%; width: 100%;">
    </div>


  </div>
</div>
